Express

POST

Accept a wallet share, adding the wallet to the user's list

Path Params

  • coin string required
    A cryptocurrency or token ticker symbol.
  • walletShareId string required

    matches ^[0-9a-f]{32}$

Body Params

object

  • userPassword string
    User's password to decrypt the shared wallet (required if the wallet was shared with spend permission)
  • newWalletPassphrase string
    New wallet passphrase for saving the shared wallet private key If not provided and the wallet was shared with spend permission, then the userPassword is used
  • overrideEncryptedPrv string
    Encrypted private key received out-of-band

Responses

200
OK

Response Body

object

  • state string enum
    State of the share
    pendingapprovalactiveacceptedcanceledrejected
  • changed boolean
    Indicates if the share changed